gtk+3.0 3.8.2-3ubuntu1 source package in Ubuntu

Changelog

gtk+3.0 (3.8.2-3ubuntu1) saucy; urgency=low

  [ Sebastien Bacher ]
  * debian/patches/git_filechooser_signal.patch:
    "GtkFileChooserButton: Also emit 'file-set' when changing the selection
      through the combo box"
  * debian/patches/git_fileselect_subdir.patch:
    " GtkFileChooserEntry: don't inline-complete if the entry
      doesn't have the focus" (lp: #1102042)

  [ Iain Lane ]
  * Merge with Debian. Remaining changes:
    + Enable Wayland backend.
    + Set Multi-Arch: same on the library.
    + Break old gtk3-engines-unico versions incompatible with this GTK,
    + Drop 061_multiarch_module_fallback.patch - unneeded in Ubuntu since we
      cleared all old gtk modules out.
    + Don't build with optimisations on armhf to work around bug #1194123.
    + Install the settings.ini file to set our themes.
    + Ubuntu specific patches:
      - 073_treeview_almost_fixed.patch
      - 075_expose_gdkwidget_for_gtkrange.patch
      - 102_add_wayland_symbols.patch
      - abicheck-dynamic-backends
      - git_fileselect_subdir.patch
      - git_gtkcellrenderer_grabbing_modifier.patch
      - git-gtkmodelmenuitem-icon-support.patch
      - print-dialog-show-options-of-remote-dnssd-printers.patch
      - revert_git_a11y_stopped.patch
      - ubuntu_gtk_custom_menu_items.patch
      - uimanager-guard-against-nested-node-updates.patch

gtk+3.0 (3.8.2-3) unstable; urgency=low

  * Simplify our trigger for gtk-query-immodules-3.0, use the --update-cache
    option instead of redirecting stdout.
  * debian/patches/080_correct_padding_of_submenu_arrows.patch: Take padding
    into account to position submenu arrow. Patch cherry-picked from upstream
    Git.
  * Update debian/copyright to comply with the final 1.0 spec.

gtk+3.0 (3.8.2-2) unstable; urgency=low

  * debian/patches/031_ia64_children_test.patch:
    + Patch from Stephan Schreiber, fix an invalid read on a test case
      that caused it to fail on ia64, making the build fail.
  * debian/patches/032_mips_treeview_row_separator_height.patch:
    + Disable another test that currently fails on mips but that also
      fails at least on amd64 when run under valgrind.
  * All the above closes: #711107.

gtk+3.0 (3.8.2-1) unstable; urgency=low

  [ Josselin Mouette ]
  * Switch to interest-noawait for triggers. They only affect IM
    modules, so this is not likely to cause upgrade problems.

  [ Michael Biebl ]
  * Upload to unstable.
  * New upstream release.
  * Update debian/copyright following the latest copyright-format spec.
  * Bump Standards-Version to 3.9.4. No further changes.
 -- Iain Lane <email address hidden>   Mon, 08 Jul 2013 16:31:25 +0100

Upload details

Uploaded by:
Iain Lane on 2013-07-08
Uploaded to:
Saucy
Original maintainer:
Ubuntu Developers
Architectures:
any all
Section:
libs
Urgency:
Low Urgency

See full publishing history Publishing

Series Pocket Published Component Section

Downloads

File Size SHA-256 Checksum
gtk+3.0_3.8.2.orig.tar.xz 13.1 MiB 1ca80c9c15a1df95d74cefb8c2afe4682ba272a4b489106f04877be2a7aff297
gtk+3.0_3.8.2-3ubuntu1.debian.tar.gz 120.8 KiB d7267d0eb9b748a3eb038f5db89eed6cf1b1c2fc1dafe608f3b44964bbb5b4fe
gtk+3.0_3.8.2-3ubuntu1.dsc 3.6 KiB 87542072868147e15dbac928da4a8b231d74ab500a962405f68cf93c75f0ce7a

Available diffs

View changes file

Binary packages built by this source

gir1.2-gtk-3.0: No summary available for gir1.2-gtk-3.0 in ubuntu saucy.

No description available for gir1.2-gtk-3.0 in ubuntu saucy.

gtk-3-examples: No summary available for gtk-3-examples in ubuntu saucy.

No description available for gtk-3-examples in ubuntu saucy.

libgail-3-0: No summary available for libgail-3-0 in ubuntu saucy.

No description available for libgail-3-0 in ubuntu saucy.

libgail-3-0-dbg: No summary available for libgail-3-0-dbg in ubuntu saucy.

No description available for libgail-3-0-dbg in ubuntu saucy.

libgail-3-dev: No summary available for libgail-3-dev in ubuntu saucy.

No description available for libgail-3-dev in ubuntu saucy.

libgail-3-doc: No summary available for libgail-3-doc in ubuntu saucy.

No description available for libgail-3-doc in ubuntu saucy.

libgtk-3-0: No summary available for libgtk-3-0 in ubuntu saucy.

No description available for libgtk-3-0 in ubuntu saucy.

libgtk-3-0-dbg: No summary available for libgtk-3-0-dbg in ubuntu saucy.

No description available for libgtk-3-0-dbg in ubuntu saucy.

libgtk-3-0-udeb: No summary available for libgtk-3-0-udeb in ubuntu saucy.

No description available for libgtk-3-0-udeb in ubuntu saucy.

libgtk-3-bin: No summary available for libgtk-3-bin in ubuntu saucy.

No description available for libgtk-3-bin in ubuntu saucy.

libgtk-3-common: No summary available for libgtk-3-common in ubuntu saucy.

No description available for libgtk-3-common in ubuntu saucy.

libgtk-3-dev: No summary available for libgtk-3-dev in ubuntu saucy.

No description available for libgtk-3-dev in ubuntu saucy.

libgtk-3-doc: No summary available for libgtk-3-doc in ubuntu saucy.

No description available for libgtk-3-doc in ubuntu saucy.